﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[SYSCOD]') AND name = N'XSYSCOD1')
BEGIN 
PRINT 'Creating index XSYSCOD1 on table SYSCOD'
CREATE UNIQUE NONCLUSTERED INDEX [XSYSCOD1] ON [dbo].[SYSCOD] 
(
	[TYPE] ASC,
	[ATTR] ASC,
	[CODE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'LABL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_LABL')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_LABL on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_LABL] DEFAULT ((0)) FOR [LABL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'IRPO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_IRPO')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_IRPO on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_IRPO] DEFAULT ((0)) FOR [IRPO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'SUPV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_SUPV')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_SUPV on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_SUPV] DEFAULT ((0)) FOR [SUPV]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'MANA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_MANA')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_MANA on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_MANA] DEFAULT ((0)) FOR [MANA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'PMATCH' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_PMATCH')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_PMATCH on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_PMATCH] DEFAULT ((0)) FOR [PMATCH]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'MFLEX' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_MFLEX')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_MFLEX on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_MFLEX] DEFAULT ((0)) FOR [MFLEX]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCOD' AND COLUMN_NAME = 'IsActive' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCOD_IsActive')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCOD_IsActive on table SYSCOD' 
    ALTER TABLE [dbo].[SYSCOD]
    ADD CONSTRAINT [DF_SYSCOD_IsActive] DEFAULT ((1)) FOR [IsActive]
END 
GO

